# -*- coding: utf-8 mode: python -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

__all__ = ('_weburl', '_ensure_session')

from ..ext import web

def _weburl(path, __BASEURL, **kw):
    if not path.startswith('/'): path = '/' + path
    path = __BASEURL + path
    return web.url(path, **kw)

def _ensure_session(page):
    session = web.config.get('_session')
    if session is None: raise ValueError("no session configured")
    page.session = session
    return session
